## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate tame-index

Name:           rust-tame-index
Version:        0.7.2
Release:        %autorelease
Summary:        Access to local and remote cargo registry indices

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/tame-index
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          tame-index-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove unused benchmark-only tiny-bench dev-dependency
# * bump optional gix dependency from 0.54 to 0.55
Patch:          tame-index-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provides access to local and remote cargo registry indices.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-devel %{_description}

This package contains library source intended for building other packages which
use the "local" feature of the "%{crate}" crate.

%files       -n %{name}+local-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-builder-devel %{_description}

This package contains library source intended for building other packages which
use the "local-builder" feature of the "%{crate}" crate.

%files       -n %{name}+local-builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sparse-devel %{_description}

This package contains library source intended for building other packages which
use the "sparse" feature of the "%{crate}" crate.

%files       -n %{name}+sparse-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
# * skip tests that require a cargo cache directory
# * skip tests that require internet connectivity
%cargo_test -a -- -- --exact --skip builds_local_registry --skip can_take_shared_lock --skip clones_new --skip downloads_and_verifies --skip end_to_end --skip fetch_invalidates_cache --skip non_main_local_branch --skip opens_existing --skip parses_current_cargo_cache --skip serializes_current_cargo_cache --skip updates_cache --skip wait_lock_times_out --skip waits_lock
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Initial import (#2243016)
## END: Generated by rpmautospec
